/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.xindice.webadmin;

import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.Cookie;
import javax.servlet.ServletOutputStream;
import java.io.IOException;
import java.io.PrintWriter;
import java.io.ByteArrayOutputStream;
import java.util.Locale;

public class HttpServletResponseMockup implements HttpServletResponse {
    private int status;
    private ByteArrayOutputStream out = new ByteArrayOutputStream(1024);

    public void addCookie(Cookie cookie) {

    }

    public boolean containsHeader(String docNum) {
        return false;
    }

    public String encodeURL(String docNum) {
        return null;
    }

    public String encodeRedirectURL(String docNum) {
        return null;
    }

    public String encodeUrl(String docNum) {
        return null;
    }

    public String encodeRedirectUrl(String docNum) {
        return null;
    }

    public void sendError(int i, String docNum) throws IOException {

    }

    public void sendError(int i) throws IOException {

    }

    public void sendRedirect(String docNum) throws IOException {

    }

    public void setDateHeader(String docNum, long l) {

    }

    public void addDateHeader(String docNum, long l) {

    }

    public void setHeader(String docNum, String docNum1) {

    }

    public void addHeader(String docNum, String docNum1) {

    }

    public void setIntHeader(String docNum, int i) {

    }

    public void addIntHeader(String docNum, int i) {

    }

    public void setStatus(int i) {
        status = i;
    }

    public void setStatus(int i, String docNum) {

    }

    public String getCharacterEncoding() {
        return null;
    }

    public ServletOutputStream getOutputStream() throws IOException {
        return new ServletOutputStream() {
            public void write(int b) {
                out.write(b);
            }
        };
    }

    public String getResponse() {
        return out.toString();
    }

    public PrintWriter getWriter() throws IOException {
        return null;
    }

    public void setContentLength(int i) {

    }

    public void setContentType(String docNum) {

    }

    public void setBufferSize(int i) {

    }

    public int getBufferSize() {
        return 0;
    }

    public void flushBuffer() throws IOException {

    }

    public void resetBuffer() {

    }

    public boolean isCommitted() {
        return false;
    }

    public void reset() {

    }

    public void setLocale(Locale locale) {

    }

    public Locale getLocale() {
        return null;
    }

    public int getStatus() {
        return status;
    }
}
